<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="xacnhanthongtin" language="groovy" pageWidth="1200" pageHeight="800" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="1190" leftMargin="5" rightMargin="5" topMargin="20" bottomMargin="20">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="193"/>
	<property name="ireport.y" value="0"/>
	<subDataset name="f01">
		<queryString language="SQL">
			<![CDATA[select to_char(sysdate,'dd') ngay1 ,to_char(sysdate,'mm') thang1, to_char(sysdate,'yyyy') nam1 from dual]]>
		</queryString>
		<field name="NGAY1" class="java.lang.String"/>
		<field name="THANG1" class="java.lang.String"/>
		<field name="NAM1" class="java.lang.String"/>
	</subDataset>
	<parameter name="ps_agent" class="java.lang.String"/>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="nguoi_th" class="java.lang.String"/>
	<parameter name="tungay" class="java.lang.String"/>
	<parameter name="denngay" class="java.lang.String"/>
	<parameter name="dispatch_name" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ?:= admin_v2.pkg_manage_catelory.category_reg_report('{p0tungay}','{p0denngay}','{p0modify_by}','{p0ps_agent}','{p0dispatch}','{p0package}');end;]]>
	</queryString>
	<field name="tencoquan" class="java.lang.String"/>
	<field name="madn" class="java.lang.String"/>
	<field name="thanhtoan" class="java.lang.String"/>
	<field name="sotb" class="java.lang.String"/>
	<field name="goicuoc" class="java.lang.String"/>
	<field name="ngayhm" class="java.lang.String"/>
	<field name="ngayhetkm" class="java.lang.String"/>
	<field name="chungloai" class="java.lang.String"/>
	<field name="trangthai" class="java.lang.String"/>
	<field name="vnp" class="java.lang.String"/>
	<field name="vnpt" class="java.lang.String"/>
	<field name="note" class="java.lang.String"/>
	<field name="diachi" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="330" splitType="Stretch">
			<staticText>
				<reportElement x="796" y="10" width="324" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Cộng hòa xã hội chủ nghĩa Việt Nam]]></text>
			</staticText>
			<staticText>
				<reportElement x="796" y="24" width="324" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Độc lập - Tự do - Hạnh phúc]]></text>
			</staticText>
			<image>
				<reportElement x="64" y="10" width="114" height="42"/>
				<imageExpression><![CDATA["images\\vinaphone_logo.png"]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="796" y="38" width="324" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false"/>
				</textElement>
				<text><![CDATA[-------------o0o-------------]]></text>
			</staticText>
			<staticText>
				<reportElement x="1" y="265" width="22" height="65"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Stt]]></text>
			</staticText>
			<staticText>
				<reportElement x="23" y="265" width="38" height="65"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tỉnh]]></text>
			</staticText>
			<staticText>
				<reportElement x="61" y="265" width="127" height="65"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tên (cơ quan)]]></text>
			</staticText>
			<staticText>
				<reportElement x="379" y="265" width="89" height="65"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Số thuê bao]]></text>
			</staticText>
			<staticText>
				<reportElement x="468" y="265" width="127" height="65"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Gói cước KM]]></text>
			</staticText>
			<staticText>
				<reportElement x="595" y="265" width="88" height="65"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Ngày hòa mạng]]></text>
			</staticText>
			<staticText>
				<reportElement x="683" y="265" width="90" height="65"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Ngày hết hạn]]></text>
			</staticText>
			<staticText>
				<reportElement x="773" y="265" width="81" height="65"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Chủng loại thiết bị]]></text>
			</staticText>
			<staticText>
				<reportElement x="854" y="265" width="101" height="65"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Trạng thái hoạt động]]></text>
			</staticText>
			<staticText>
				<reportElement x="955" y="265" width="125" height="45"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Nguồn chi phí sử dụng]]></text>
			</staticText>
			<staticText>
				<reportElement x="1080" y="265" width="102" height="65"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Ghi chú (đối với TH TB không nhận máy tặng)]]></text>
			</staticText>
			<staticText>
				<reportElement x="955" y="310" width="64" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[VNP]]></text>
			</staticText>
			<staticText>
				<reportElement x="1019" y="310" width="61" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[VNPT-TT]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="86" width="1190" height="50"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="20" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Báo cáo xác nhận số lượng thuê bao hòa mạng mới và trạng thái hoạt động của các thuê bao tham gia chương trình]]></text>
			</staticText>
			<staticText>
				<reportElement x="318" y="265" width="61" height="65"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="11" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Mã DN]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement x="450" y="66" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
			<staticText>
				<reportElement x="400" y="166" width="100" height="20"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Từ ngày:]]></text>
			</staticText>
			<staticText>
				<reportElement x="605" y="166" width="66" height="20"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Đến ngày:]]></text>
			</staticText>
			<textField>
				<reportElement x="500" y="166" width="93" height="20"/>
				<box leftPadding="3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{tungay}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="671" y="166" width="100" height="20"/>
				<box leftPadding="3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{denngay}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="136" width="1190" height="30"/>
				<box leftPadding="3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="16" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{dispatch_name}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="400" y="186" width="371" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
			<staticText>
				<reportElement x="188" y="265" width="130" height="65"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="11" isBold="true" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Địa chỉ]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="21" splitType="Stretch">
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="23" y="0" width="38" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{ps_agent}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="1" y="0" width="22" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{REPORT_COUNT}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="61" y="0" width="127" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tencoquan}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="379" y="0" width="89" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{sotb}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="468" y="0" width="127" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{goicuoc}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="595" y="0" width="88" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ngayhm}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="683" y="0" width="90" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ngayhetkm}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="773" y="0" width="81" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{chungloai}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="854" y="0" width="101" height="20"/>
				<box leftPadding="3" rightPadding="0">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{trangthai}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="955" y="0" width="64" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{vnp}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="1019" y="0" width="61" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{vnpt}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="1080" y="0" width="102" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{note}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="318" y="0" width="61" height="20" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{madn}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="188" y="0" width="130" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{diachi}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="184" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement x="793" y="20" width="324" height="28"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA["Ngày "+((HashMap)$P{NEO_SQL_META_MAP}).get("f01ngay1").toString()+"/"+((HashMap)$P{NEO_SQL_META_MAP}).get("f01thang1").toString()+"/"+((HashMap)$P{NEO_SQL_META_MAP}).get("f01nam1").toString()]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="799" y="0" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
			<textField>
				<reportElement x="796" y="68" width="324" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{nguoi_th}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="796" y="48" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
		</band>
	</summary>
</jasperReport>
